Skip to main content
POST
/
api
/
v1
/
search
/
automations
SearchAutomations
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AutomationSearch.SearchAutomations(ctx, nil)
    if err != nil {
        log.Fatal(err)
    }
    if res.SearchAutomationsResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.automationSearch.searchAutomations();

  console.log(result);
}

run();
curl --request POST \
  --url https://{tenantDomain}.conductor.one/api/v1/search/automations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appId": "<string>",
  "appIds": [
    "<string>"
  ],
  "isDraft": true,
  "pageSize": 123,
  "pageToken": "<string>",
  "query": "<string>",
  "refs": [
    {
      "id": "<string>"
    }
  ],
  "statuses": [],
  "triggerTypes": []
}
'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/search/automations"

payload = {
    "appId": "<string>",
    "appIds": ["<string>"],
    "isDraft": True,
    "pageSize": 123,
    "pageToken": "<string>",
    "query": "<string>",
    "refs": [{ "id": "<string>" }],
    "statuses": [],
    "triggerTypes": []
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    appId: '<string>',
    appIds: ['<string>'],
    isDraft: true,
    pageSize: 123,
    pageToken: '<string>',
    query: '<string>',
    refs: [{id: '<string>'}],
    statuses: [],
    triggerTypes: []
  })
};

fetch('https://{tenantDomain}.conductor.one/api/v1/search/automations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "list": [
    {
      "annotations": {},
      "appId": "<string>",
      "automationSteps": [
        {
          "accountLifecycleAction": {
            "accountInContext": {},
            "accountRef": {
              "accountIdCel": "<string>"
            },
            "actionName": "<string>",
            "connectorRef": {
              "appId": "<string>",
              "id": "<string>"
            }
          },
          "callFunction": {
            "args": {},
            "functionId": "<string>"
          },
          "connectorAction": {
            "actionName": "<string>",
            "argsTemplate": {},
            "connectorRef": {
              "appId": "<string>",
              "id": "<string>"
            },
            "resourceTypeId": "<string>"
          },
          "connectorCreateAccount": {
            "connectorRef": {
              "appId": "<string>",
              "id": "<string>"
            },
            "passwordCel": "<string>",
            "userIdCel": "<string>",
            "userProperties": {
              "displayNameCel": "<string>",
              "emailCel": "<string>",
              "profileAttributeCel": "<string>",
              "usernameCel": "<string>"
            }
          },
          "createAccessReview": {
            "accessReviewTemplateCel": "<string>",
            "accessReviewTemplateId": "<string>",
            "campaignName": "<string>",
            "useSubjectUser": true,
            "userIdsCel": "<string>",
            "userRefs": [
              {
                "id": "<string>"
              }
            ]
          },
          "createRevokeTasks": {
            "appEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ],
            "appEntitlementRefsCel": "<string>",
            "excludedAppEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ],
            "excludedAppEntitlementRefsCel": "<string>",
            "revokeAll": true,
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            }
          },
          "createRevokeTasksV2": {
            "exclusionCriteria": {
              "excludedAppIds": [
                "<string>"
              ],
              "excludedComplianceFrameworkIds": [
                "<string>"
              ],
              "excludedResourceTypeIds": [
                "<string>"
              ],
              "excludedRiskLevelIds": [
                "<string>"
              ]
            },
            "exclusionList": {
              "excludedAppEntitlementRefs": [
                {
                  "appId": "<string>",
                  "id": "<string>"
                }
              ]
            },
            "exclusionListCel": {
              "excludedAppEntitlementRefsCel": "<string>"
            },
            "exclusionNone": {},
            "inclusionAccessOnly": {},
            "inclusionAll": {},
            "inclusionCriteria": {
              "appIds": [
                "<string>"
              ],
              "complianceFrameworkIds": [
                "<string>"
              ],
              "resourceTypeIds": [
                "<string>"
              ],
              "riskLevelIds": [
                "<string>"
              ]
            },
            "inclusionList": {
              "appEntitlementRefs": [
                {
                  "appId": "<string>",
                  "id": "<string>"
                }
              ]
            },
            "inclusionListCel": {
              "appEntitlementRefsCel": "<string>"
            },
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            }
          },
          "evaluateExpressions": {
            "expressions": [
              {
                "expressionCel": "<string>",
                "isSecret": true,
                "key": "<string>"
              }
            ]
          },
          "generatePassword": {
            "passwordPolicyId": "<string>",
            "policy": {
              "customCharacters": "<string>",
              "excludedCharacters": "<string>",
              "maxCharacterCount": 123,
              "minCharacterCount": 123,
              "noRestrictions": true,
              "requireLowercase": true,
              "requireNumbers": true,
              "requireSpecialCharacters": true,
              "requireUppercase": true
            }
          },
          "grantEntitlements": {
            "exclusionCriteria": {
              "excludedAppIds": [
                "<string>"
              ],
              "excludedComplianceFrameworkIds": [
                "<string>"
              ],
              "excludedRiskLevelIds": [
                "<string>"
              ]
            },
            "exclusionList": {
              "excludedAppEntitlementRefs": [
                {
                  "appId": "<string>",
                  "id": "<string>"
                }
              ]
            },
            "exclusionListCel": {
              "excludedAppEntitlementRefsCel": "<string>"
            },
            "exclusionNone": {},
            "inclusionCriteria": {
              "appIds": [
                "<string>"
              ],
              "complianceFrameworkIds": [
                "<string>"
              ],
              "riskLevelIds": [
                "<string>"
              ]
            },
            "inclusionList": {
              "appEntitlementRefs": [
                {
                  "appId": "<string>",
                  "id": "<string>"
                }
              ]
            },
            "inclusionListCel": {
              "appEntitlementRefsCel": "<string>"
            },
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            }
          },
          "removeFromDelegation": {
            "replacementUserIdCel": "<string>",
            "replacementUserRef": {
              "id": "<string>"
            },
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            }
          },
          "runAutomation": {
            "automationTemplateIdCel": "<string>",
            "automationTemplateRef": {
              "id": "<string>"
            },
            "context": {
              "context": {}
            }
          },
          "sendEmail": {
            "body": "<string>",
            "email": "<string>",
            "emailCel": "<string>",
            "subject": "<string>",
            "title": "<string>",
            "useSubjectUser": true,
            "userIdsCel": "<string>",
            "userRefs": [
              {
                "id": "<string>"
              }
            ]
          },
          "sendSlackMessage": {
            "body": "<string>",
            "channelName": "<string>",
            "channelNameCel": "<string>",
            "useSubjectUser": true,
            "userIdsCel": "<string>",
            "userRefs": [
              {
                "id": "<string>"
              }
            ]
          },
          "setCredential": {
            "accountIdCel": "<string>",
            "connectorRef": {
              "appId": "<string>",
              "id": "<string>"
            },
            "passwordCel": "<string>"
          },
          "skipIfTrueCel": "<string>",
          "stepDisplayName": "<string>",
          "stepName": "<string>",
          "storeCredential": {
            "appIdCel": "<string>",
            "credentialCel": "<string>",
            "expiry": "<string>",
            "labelCel": "<string>",
            "maxViews": 123,
            "recipientCel": "<string>",
            "recipientEmailCel": "<string>",
            "ttl": "<string>"
          },
          "taskAction": {
            "close": {
              "useSubjectUser": true,
              "userIdCel": "<string>",
              "userRef": {
                "id": "<string>"
              }
            },
            "reassign": {
              "assigneeUserIdCel": "<string>",
              "assigneeUserRef": {
                "id": "<string>"
              },
              "subjectUserIdCel": "<string>",
              "subjectUserRef": {
                "id": "<string>"
              },
              "useSubjectUser": true
            },
            "taskTypes": []
          },
          "unenrollFromAllAccessProfiles": {
            "catalogIds": [
              "<string>"
            ],
            "catalogIdsCel": "<string>",
            "useSubjectUser": true,
            "userIdsCel": "<string>",
            "userRefs": [
              {
                "id": "<string>"
              }
            ]
          },
          "updateUser": {
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            },
            "userStatusCel": "<string>"
          },
          "waitForDuration": {
            "duration": "<string>"
          },
          "webhook": {
            "payload": {},
            "webhookId": "<string>",
            "webhookIdCel": "<string>"
          }
        }
      ],
      "circuitBreaker": {
        "observedCount": 123,
        "threshold": 123,
        "trippedAt": "2023-11-07T05:31:56Z"
      },
      "circuitBreakerMax": 123,
      "context": {
        "context": {}
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "currentVersion": "<string>",
      "description": "<string>",
      "displayName": "<string>",
      "draftAutomationSteps": [
        {
          "accountLifecycleAction": {
            "accountInContext": {},
            "accountRef": {
              "accountIdCel": "<string>"
            },
            "actionName": "<string>",
            "connectorRef": {
              "appId": "<string>",
              "id": "<string>"
            }
          },
          "callFunction": {
            "args": {},
            "functionId": "<string>"
          },
          "connectorAction": {
            "actionName": "<string>",
            "argsTemplate": {},
            "connectorRef": {
              "appId": "<string>",
              "id": "<string>"
            },
            "resourceTypeId": "<string>"
          },
          "connectorCreateAccount": {
            "connectorRef": {
              "appId": "<string>",
              "id": "<string>"
            },
            "passwordCel": "<string>",
            "userIdCel": "<string>",
            "userProperties": {
              "displayNameCel": "<string>",
              "emailCel": "<string>",
              "profileAttributeCel": "<string>",
              "usernameCel": "<string>"
            }
          },
          "createAccessReview": {
            "accessReviewTemplateCel": "<string>",
            "accessReviewTemplateId": "<string>",
            "campaignName": "<string>",
            "useSubjectUser": true,
            "userIdsCel": "<string>",
            "userRefs": [
              {
                "id": "<string>"
              }
            ]
          },
          "createRevokeTasks": {
            "appEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ],
            "appEntitlementRefsCel": "<string>",
            "excludedAppEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ],
            "excludedAppEntitlementRefsCel": "<string>",
            "revokeAll": true,
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            }
          },
          "createRevokeTasksV2": {
            "exclusionCriteria": {
              "excludedAppIds": [
                "<string>"
              ],
              "excludedComplianceFrameworkIds": [
                "<string>"
              ],
              "excludedResourceTypeIds": [
                "<string>"
              ],
              "excludedRiskLevelIds": [
                "<string>"
              ]
            },
            "exclusionList": {
              "excludedAppEntitlementRefs": [
                {
                  "appId": "<string>",
                  "id": "<string>"
                }
              ]
            },
            "exclusionListCel": {
              "excludedAppEntitlementRefsCel": "<string>"
            },
            "exclusionNone": {},
            "inclusionAccessOnly": {},
            "inclusionAll": {},
            "inclusionCriteria": {
              "appIds": [
                "<string>"
              ],
              "complianceFrameworkIds": [
                "<string>"
              ],
              "resourceTypeIds": [
                "<string>"
              ],
              "riskLevelIds": [
                "<string>"
              ]
            },
            "inclusionList": {
              "appEntitlementRefs": [
                {
                  "appId": "<string>",
                  "id": "<string>"
                }
              ]
            },
            "inclusionListCel": {
              "appEntitlementRefsCel": "<string>"
            },
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            }
          },
          "evaluateExpressions": {
            "expressions": [
              {
                "expressionCel": "<string>",
                "isSecret": true,
                "key": "<string>"
              }
            ]
          },
          "generatePassword": {
            "passwordPolicyId": "<string>",
            "policy": {
              "customCharacters": "<string>",
              "excludedCharacters": "<string>",
              "maxCharacterCount": 123,
              "minCharacterCount": 123,
              "noRestrictions": true,
              "requireLowercase": true,
              "requireNumbers": true,
              "requireSpecialCharacters": true,
              "requireUppercase": true
            }
          },
          "grantEntitlements": {
            "exclusionCriteria": {
              "excludedAppIds": [
                "<string>"
              ],
              "excludedComplianceFrameworkIds": [
                "<string>"
              ],
              "excludedRiskLevelIds": [
                "<string>"
              ]
            },
            "exclusionList": {
              "excludedAppEntitlementRefs": [
                {
                  "appId": "<string>",
                  "id": "<string>"
                }
              ]
            },
            "exclusionListCel": {
              "excludedAppEntitlementRefsCel": "<string>"
            },
            "exclusionNone": {},
            "inclusionCriteria": {
              "appIds": [
                "<string>"
              ],
              "complianceFrameworkIds": [
                "<string>"
              ],
              "riskLevelIds": [
                "<string>"
              ]
            },
            "inclusionList": {
              "appEntitlementRefs": [
                {
                  "appId": "<string>",
                  "id": "<string>"
                }
              ]
            },
            "inclusionListCel": {
              "appEntitlementRefsCel": "<string>"
            },
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            }
          },
          "removeFromDelegation": {
            "replacementUserIdCel": "<string>",
            "replacementUserRef": {
              "id": "<string>"
            },
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            }
          },
          "runAutomation": {
            "automationTemplateIdCel": "<string>",
            "automationTemplateRef": {
              "id": "<string>"
            },
            "context": {
              "context": {}
            }
          },
          "sendEmail": {
            "body": "<string>",
            "email": "<string>",
            "emailCel": "<string>",
            "subject": "<string>",
            "title": "<string>",
            "useSubjectUser": true,
            "userIdsCel": "<string>",
            "userRefs": [
              {
                "id": "<string>"
              }
            ]
          },
          "sendSlackMessage": {
            "body": "<string>",
            "channelName": "<string>",
            "channelNameCel": "<string>",
            "useSubjectUser": true,
            "userIdsCel": "<string>",
            "userRefs": [
              {
                "id": "<string>"
              }
            ]
          },
          "setCredential": {
            "accountIdCel": "<string>",
            "connectorRef": {
              "appId": "<string>",
              "id": "<string>"
            },
            "passwordCel": "<string>"
          },
          "skipIfTrueCel": "<string>",
          "stepDisplayName": "<string>",
          "stepName": "<string>",
          "storeCredential": {
            "appIdCel": "<string>",
            "credentialCel": "<string>",
            "expiry": "<string>",
            "labelCel": "<string>",
            "maxViews": 123,
            "recipientCel": "<string>",
            "recipientEmailCel": "<string>",
            "ttl": "<string>"
          },
          "taskAction": {
            "close": {
              "useSubjectUser": true,
              "userIdCel": "<string>",
              "userRef": {
                "id": "<string>"
              }
            },
            "reassign": {
              "assigneeUserIdCel": "<string>",
              "assigneeUserRef": {
                "id": "<string>"
              },
              "subjectUserIdCel": "<string>",
              "subjectUserRef": {
                "id": "<string>"
              },
              "useSubjectUser": true
            },
            "taskTypes": []
          },
          "unenrollFromAllAccessProfiles": {
            "catalogIds": [
              "<string>"
            ],
            "catalogIdsCel": "<string>",
            "useSubjectUser": true,
            "userIdsCel": "<string>",
            "userRefs": [
              {
                "id": "<string>"
              }
            ]
          },
          "updateUser": {
            "useSubjectUser": true,
            "userIdCel": "<string>",
            "userRef": {
              "id": "<string>"
            },
            "userStatusCel": "<string>"
          },
          "waitForDuration": {
            "duration": "<string>"
          },
          "webhook": {
            "payload": {},
            "webhookId": "<string>",
            "webhookIdCel": "<string>"
          }
        }
      ],
      "draftTriggers": [
        {
          "accessConflict": {
            "allConflictMonitors": true,
            "conflictMonitorRefs": {
              "conflictMonitorRefs": [
                {
                  "id": "<string>"
                }
              ]
            }
          },
          "appUserCreated": {
            "appId": "<string>",
            "appIdCel": "<string>",
            "condition": "<string>"
          },
          "appUserUpdated": {
            "appId": "<string>",
            "appIdCel": "<string>",
            "condition": "<string>"
          },
          "grantDeleted": {
            "grantTriggerFilter": {
              "accountFilter": {},
              "grantFilter": {},
              "inclusionAll": {},
              "inclusionCriteria": {
                "appIds": [
                  "<string>"
                ],
                "complianceFrameworkIds": [
                  "<string>"
                ],
                "resourceTypeIds": [
                  "<string>"
                ],
                "riskLevelIds": [
                  "<string>"
                ]
              },
              "inclusionList": {
                "appEntitlementRefs": [
                  {
                    "appId": "<string>",
                    "id": "<string>"
                  }
                ]
              },
              "inclusionListCel": {
                "appEntitlementRefsCel": "<string>"
              }
            }
          },
          "grantFound": {
            "grantTriggerFilter": {
              "accountFilter": {},
              "grantFilter": {},
              "inclusionAll": {},
              "inclusionCriteria": {
                "appIds": [
                  "<string>"
                ],
                "complianceFrameworkIds": [
                  "<string>"
                ],
                "resourceTypeIds": [
                  "<string>"
                ],
                "riskLevelIds": [
                  "<string>"
                ]
              },
              "inclusionList": {
                "appEntitlementRefs": [
                  {
                    "appId": "<string>",
                    "id": "<string>"
                  }
                ]
              },
              "inclusionListCel": {
                "appEntitlementRefsCel": "<string>"
              }
            }
          },
          "schedule": {
            "advanced": true,
            "condition": "<string>",
            "cronSpec": "<string>",
            "skipIfTrueCel": "<string>",
            "start": "2023-11-07T05:31:56Z",
            "timezone": "<string>"
          },
          "scheduleAppUser": {
            "appId": "<string>",
            "condition": "<string>",
            "cronSpec": "<string>",
            "start": "2023-11-07T05:31:56Z",
            "timezone": "<string>"
          },
          "scheduleNoUser": {
            "advanced": true,
            "cronSpec": "<string>",
            "start": "2023-11-07T05:31:56Z",
            "timezone": "<string>"
          },
          "usageBasedRevocation": {
            "appId": "<string>",
            "enabledAt": "2023-11-07T05:31:56Z",
            "excludedGroupRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ],
            "excludedUserRefs": [
              {
                "id": "<string>"
              }
            ],
            "includeUsersWithNoActivity": true,
            "runDelayed": {
              "coldStartDelayDays": 123
            },
            "runImmediately": {},
            "targetedAppUserTypes": [],
            "targetedEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ],
            "unusedForDays": 123
          },
          "userCreated": {
            "condition": "<string>"
          },
          "userProfileChange": {
            "condition": "<string>"
          },
          "webhook": {
            "capabilityUrl": {},
            "hmac": {},
            "jwt": {
              "jwksUrl": "<string>"
            },
            "listenerId": "<string>"
          }
        }
      ],
      "enabled": true,
      "id": "<string>",
      "isDraft": true,
      "lastExecutedAt": "2023-11-07T05:31:56Z",
      "triggers": [
        {
          "accessConflict": {
            "allConflictMonitors": true,
            "conflictMonitorRefs": {
              "conflictMonitorRefs": [
                {
                  "id": "<string>"
                }
              ]
            }
          },
          "appUserCreated": {
            "appId": "<string>",
            "appIdCel": "<string>",
            "condition": "<string>"
          },
          "appUserUpdated": {
            "appId": "<string>",
            "appIdCel": "<string>",
            "condition": "<string>"
          },
          "grantDeleted": {
            "grantTriggerFilter": {
              "accountFilter": {},
              "grantFilter": {},
              "inclusionAll": {},
              "inclusionCriteria": {
                "appIds": [
                  "<string>"
                ],
                "complianceFrameworkIds": [
                  "<string>"
                ],
                "resourceTypeIds": [
                  "<string>"
                ],
                "riskLevelIds": [
                  "<string>"
                ]
              },
              "inclusionList": {
                "appEntitlementRefs": [
                  {
                    "appId": "<string>",
                    "id": "<string>"
                  }
                ]
              },
              "inclusionListCel": {
                "appEntitlementRefsCel": "<string>"
              }
            }
          },
          "grantFound": {
            "grantTriggerFilter": {
              "accountFilter": {},
              "grantFilter": {},
              "inclusionAll": {},
              "inclusionCriteria": {
                "appIds": [
                  "<string>"
                ],
                "complianceFrameworkIds": [
                  "<string>"
                ],
                "resourceTypeIds": [
                  "<string>"
                ],
                "riskLevelIds": [
                  "<string>"
                ]
              },
              "inclusionList": {
                "appEntitlementRefs": [
                  {
                    "appId": "<string>",
                    "id": "<string>"
                  }
                ]
              },
              "inclusionListCel": {
                "appEntitlementRefsCel": "<string>"
              }
            }
          },
          "schedule": {
            "advanced": true,
            "condition": "<string>",
            "cronSpec": "<string>",
            "skipIfTrueCel": "<string>",
            "start": "2023-11-07T05:31:56Z",
            "timezone": "<string>"
          },
          "scheduleAppUser": {
            "appId": "<string>",
            "condition": "<string>",
            "cronSpec": "<string>",
            "start": "2023-11-07T05:31:56Z",
            "timezone": "<string>"
          },
          "scheduleNoUser": {
            "advanced": true,
            "cronSpec": "<string>",
            "start": "2023-11-07T05:31:56Z",
            "timezone": "<string>"
          },
          "usageBasedRevocation": {
            "appId": "<string>",
            "enabledAt": "2023-11-07T05:31:56Z",
            "excludedGroupRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ],
            "excludedUserRefs": [
              {
                "id": "<string>"
              }
            ],
            "includeUsersWithNoActivity": true,
            "runDelayed": {
              "coldStartDelayDays": 123
            },
            "runImmediately": {},
            "targetedAppUserTypes": [],
            "targetedEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ],
            "unusedForDays": 123
          },
          "userCreated": {
            "condition": "<string>"
          },
          "userProfileChange": {
            "condition": "<string>"
          },
          "webhook": {
            "capabilityUrl": {},
            "hmac": {},
            "jwt": {
              "jwksUrl": "<string>"
            },
            "listenerId": "<string>"
          }
        }
      ]
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Body

application/json

The SearchAutomationsRequest message.

appId
string | null

Filter results to automations belonging to this application.

appIds
string[] | null

Filter results to automations belonging to any of the specified apps. Supersedes the singular app_id field when non-empty; when empty, the server falls back to app_id for backward compatibility.

direction
enum<string> | null

Direction to sort in. Unspecified falls back to ASC when sort_field is set; when sort_field is also unspecified, the server default order (created_at DESC) applies.

Available options:
SORT_DIRECTION_UNSPECIFIED,
SORT_DIRECTION_ASC,
SORT_DIRECTION_DESC
isDraft
boolean | null

Tri-state draft filter. Unset = include both drafts and published; true = drafts only; false = published only.

pageSize
integer<int32> | null

Maximum number of results to return per page.

pageToken
string | null

Pagination token from a previous SearchAutomationsResponse.

query
string | null

Free-text search query to filter automations by name or description.

refs
Automation Template Ref · object[] | null

Restrict results to automations matching these template references.

sortField
enum<string> | null

Column to sort by. Unspecified (0) means sort by created_at desc (server default).

Available options:
AUTOMATION_SORT_FIELD_UNSPECIFIED,
AUTOMATION_SORT_FIELD_DISPLAY_NAME,
AUTOMATION_SORT_FIELD_CREATED_AT,
AUTOMATION_SORT_FIELD_LAST_EXECUTED_AT,
AUTOMATION_SORT_FIELD_ENABLED,
AUTOMATION_SORT_FIELD_PRIMARY_TRIGGER_TYPE
statuses
enum<string>[] | null

Filter results by automation status. Empty or containing both ON and OFF applies no status filter.

Available options:
AUTOMATION_STATUS_FILTER_UNSPECIFIED,
AUTOMATION_STATUS_FILTER_ON,
AUTOMATION_STATUS_FILTER_OFF
triggerTypes
enum<string>[] | null

Filter results to automations with any of the specified trigger types.

Available options:
TRIGGER_TYPE_UNSPECIFIED,
TRIGGER_TYPE_USER_PROFILE_CHANGE,
TRIGGER_TYPE_APP_USER_CREATE,
TRIGGER_TYPE_APP_USER_UPDATE,
TRIGGER_TYPE_UNUSED_ACCESS,
TRIGGER_TYPE_USER_CREATED,
TRIGGER_TYPE_GRANT_FOUND,
TRIGGER_TYPE_GRANT_DELETED,
TRIGGER_TYPE_WEBHOOK,
TRIGGER_TYPE_SCHEDULE,
TRIGGER_TYPE_FORM,
TRIGGER_TYPE_SCHEDULE_APP_USER,
TRIGGER_TYPE_ACCESS_CONFLICT,
TRIGGER_TYPE_SCHEDULE_NO_USER

Response

200 - application/json

Successful response

The SearchAutomationsResponse message.

list
Automation · object[] | null

The page of automations matching the search criteria.

nextPageToken
string | null

Token to retrieve the next page of results, empty when no more results exist.